Package uk.ac.starlink.topcat.plot

# Class AuxLegendZoomRegion

java.lang.Object
uk.ac.starlink.topcat.plot.ZoomRegion
uk.ac.starlink.topcat.plot.AxisZoomRegion
uk.ac.starlink.topcat.plot.AuxLegendZoomRegion

public abstract class AuxLegendZoomRegion extends AxisZoomRegion
ZoomRegion for use with an `AuxLegend`.

Since:
  2 Apr 2008
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`AuxLegendZoomRegion(uk.ac.starlink.ttools.plot.AuxLegend legend)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`dataZoomed(double lo, double hi)`
Called when a zoom has taken place.
`Rectangle`
`getDisplay()`
Returns the display region.
`Rectangle`
`getTarget()`
Returns the target region.
`void`
`setDisplay(Rectangle display)`
Sets the display region.
`void`
`setTarget(Rectangle target)`
Sets the target region.
`void`
`zoomed(double[][] bounds)`
Callback which will be invoked when a zoom invoked on this region has been completed successfully.

### Methods inherited from class uk.ac.starlink.topcat.plot.AxisZoomRegion

`createDrag`

### Methods inherited from class uk.ac.starlink.topcat.plot.ZoomRegion

`getCursor, setCursor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuxLegendZoomRegion

public AuxLegendZoomRegion(uk.ac.starlink.ttools.plot.AuxLegend legend)
Constructor.

Parameters:
  `legend` - lagend to zoom over

## Method Details

### dataZoomed

protected abstract void dataZoomed(double lo, double hi)
Called when a zoom has taken place.

Parameters:
  `lo` - new requested lower data bound
  `hi` - new requested upper data bound

### getDisplay

public Rectangle getDisplay()
Description copied from class: `ZoomRegion`
Returns the display region. This is the region used to display visual feedback to the user during a drag gesture.

Overrides:
  `getDisplay` in class `ZoomRegion`
Returns:
  display region

### getTarget

public Rectangle getTarget()
Description copied from class: `ZoomRegion`
Returns the target region. This is the region within which the mouse must be clicked and dragged in order to generate a zoom event.

Overrides:
  `getTarget` in class `ZoomRegion`
Returns:
  target region

### setDisplay

public void setDisplay(Rectangle display)
Description copied from class: `ZoomRegion`
Sets the display region. This is the region used to provide visual feedback to the user during a drag gesture.

Overrides:
  `setDisplay` in class `ZoomRegion`
Parameters:
  `display` - display region
Throws:
  `UnsupportedOperationException` - always

### setTarget

public void setTarget(Rectangle target)
Description copied from class: `ZoomRegion`
Sets the target region. This is the region within which the mouse must be clicked and dragged in order to generate a zoom event.

Overrides:
  `setTarget` in class `ZoomRegion`
Parameters:
  `target` - target region
Throws:
  `UnsupportedOperationException` - always

### zoomed

public void zoomed(double[][] bounds)
Description copied from class: `ZoomRegion`
Callback which will be invoked when a zoom invoked on this region has been completed successfully. Elements of the parameter array are two-element arrays giving (lower, upper) bounds in one or more dimensions, according to the type of region. The units should normally be dimensionless: a range of (0,1) indicates the same range as is currently contained by the display region. Bounds may be larger or smaller than the (1,0) interval.

Specified by:
  `zoomed` in class `ZoomRegion`
Parameters:
  `bounds` - array of (lower, upper) zoom bounds